# Support for the Tyan S2891 board

#### Platform configuration

ifeq ($(CONFIG_TARGET_64BIT), y)
TARGET_ARCH=x86_64
CFLAGS_platform =
else
TARGET_ARCH=i686
CFLAGS_platform =
endif

# kernel configuration (for LAB)

KERNEL_VERSION=2.6.22.2

ifeq ($(CONFIG_TARGET_64BIT),y)
$(error You must specify a kernel configuration for 64 bit)
else
KERNEL_CONFIG=$(PACKAGE_DIR)/kernel/conf/defconfig-tyan-s2891
endif

#UCLIBC_ARCH=i386

# Etherboot configuration
ETHERBOOT_ARCH=i386

# coreboot configuration

COREBOOT_VENDOR=tyan
COREBOOT_BOARD=s2891
CBV2_TDIR=s2891
CBV2_TAG=3259

# FILO configuration

FILO_CONFIG=tyan-s2891-Config

